{% extends 'SyliusWebBundle:Backend:layout.html.twig' %}

{% import 'SyliusResourceBundle:Macros:buttons.html.twig' as buttons %}
{% from 'SyliusWebBundle:Backend/Macros:misc.html.twig' import pagination %}
{% from '@ElbotradeCatalog/CatalogBackend/macros.html.twig' import list %}

{% block topbar %}
    <ol class="breadcrumb">
        <li>{{ 'sylius.breadcrumb.assortment'|trans }}</li>
        <li>Catalogs</li>
    </ol>
{% endblock %}

{% block content %}
    <div class="page-header">
        <div class="actions-menu">
            {{ buttons.create(path('elbotrade_catalog_backend_create'), 'Create Catalog') }}
        </div>
        <h1><i class="glyphicon glyphicon-th-list"></i>  Catalogs <small>Index of all catalogs in your store</small></h1>
    </div>

    {#{% render(controller('sylius.controller.backend.form:filterAction', {'type': 'sylius_product_filter', 'template': 'SyliusWebBundle:Backend/Product:filterForm.html.twig'})) %}#}

    {{ pagination(catalogs) }}
    {{ list(catalogs) }}
    {{ pagination(catalogs) }}

{% endblock %}
